﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///母排信息
    ///</summary>
    [SugarTable("base_busbar_info"), TenantAttribute("iot")]
    public partial class base_busbar_info
    {
           public base_busbar_info(){


           }
           /// <summary>
           /// Desc:标识编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="obj_id")]
           public int objId {get;set;}

           /// <summary>
           /// Desc:母排编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_code")]           
           public int? busbarCode {get;set;}

           /// <summary>
           /// Desc:母排别名
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_alias")]           
           public string busbarAlias {get;set;}

           /// <summary>
           /// Desc:电柜编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="cabinet_code")]           
           public int? cabinetCode {get;set;}

           /// <summary>
           /// Desc:母排距离
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_dist")]           
           public decimal busbarDist {get;set;}

           /// <summary>
           /// Desc:是否检测:1-是;0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_checked")]           
           public int? isChecked {get;set;}

           /// <summary>
           /// Desc:是否尾排:1-是;0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_end")]           
           public int? isEnd {get;set;}

           /// <summary>
           /// Desc:是否启用:1-是;0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_flag")]           
           public int? isFlag {get;set;}

        /// <summary>
        /// Desc:是否拍照:1-是;0-否
        /// Default:0
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName = "is_pictures")]
        public int isPictures { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName="remark")]           
           public string remark {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}


        [SugarColumn(ColumnName = "wPanPos")]
        public string wPanPos { get;set;}

        [SugarColumn(ColumnName = "wTiltPos")]
        public string wTiltPos { get;set;}

        [SugarColumn(ColumnName = "wZoomPos")]
        public string wZoomPos { get;set;}

        /// <summary>
        /// Desc:是否旋转:1-是;0-否
        /// Default:0
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName = "is_rotate")]
        public int? isRotate { get; set; }

        /// <summary>
        /// 是否快速巡检
        /// </summary>
        [SugarColumn(ColumnName = "is_insp")]
        public int isInsp { get; set;}

    }
}
