﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///巡检报警记录
    ///</summary>
    [SugarTable("record_busbar_alarm")]
    public partial class record_busbar_alarm
    {
           public record_busbar_alarm(){


           }
           /// <summary>
           /// Desc:租户号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="objId")]           
           public int? objid {get;set;}

           /// <summary>
           /// Desc:母排编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_code")]           
           public int? busbarCode {get;set;}

           /// <summary>
           /// Desc:电柜编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="cabinet_code")]           
           public int? cabinetCode {get;set;}

           /// <summary>
           /// Desc:最高温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_max")]           
           public decimal? tempMax {get;set;}

           /// <summary>
           /// Desc:最低温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_min")]           
           public decimal? tempMin {get;set;}

           /// <summary>
           /// Desc:平均温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_avg")]           
           public decimal? tempAvg {get;set;}

           /// <summary>
           /// Desc:温差
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_diff")]           
           public decimal? tempDiff {get;set;}

        /// <summary>
        /// 报警阈值
        /// </summary>
        [SugarColumn(ColumnName = "alarm_value")]
        public decimal? alarmValue { get; set; }

        /// <summary>
        /// Desc:图像路径
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName="file_path")]           
           public string filePath {get;set;}

           /// <summary>
           /// Desc:报警类型
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="alarm_type")]           
           public int? alarmType {get;set;}

           /// <summary>
           /// Desc:是否标识:1-是；0-否
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_flag")]           
           public int? isFlag {get;set;}

           /// <summary>
           /// Desc:记录时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="record_time")]           
           public DateTime? recordTime {get;set;}

    }
}
