﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///母排测温信息
    ///</summary>
    [SugarTable("record_busbar_temp"), TenantAttribute("iot")]
    public partial class record_busbar_temp
    {
           public record_busbar_temp(){


           }
           /// <summary>
           /// Desc:标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="objId")]
           public int objid {get;set;}

           /// <summary>
           /// Desc:母排编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_code")]           
           public int? busbarCode {get;set;}

           /// <summary>
           /// Desc:电柜编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="cabinet_code")]           
           public int? cabinetCode {get;set;}

           /// <summary>
           /// Desc:最高温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_max")]           
           public decimal? tempMax {get;set;}

           /// <summary>
           /// Desc:最低温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_min")]           
           public decimal? tempMin {get;set;}

           /// <summary>
           /// Desc:平均温度
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_avg")]           
           public decimal? tempAvg {get;set;}

           /// <summary>
           /// Desc:温差
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="temp_diff")]           
           public decimal? tempDiff {get;set;}

           /// <summary>
           /// Desc:是否告警:1-是；0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_alarm")]           
           public int? isAlarm {get;set;}

           /// <summary>
           /// Desc:图像路径
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="file_path")]           
           public string filePath {get;set;}

           /// <summary>
           /// Desc:是否启用:1-是;0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_flag")]           
           public int? isFlag {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="remark")]           
           public string remark {get;set; }
        
        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnName = "record_time")]
        public DateTime? recordTime { get; set; }

        /// <summary>
        /// Desc:创建人
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}

        /// <summary>
        /// 巡检模式：1-自动巡检；2-快速巡检；3-定点巡检
        /// </summary>
        [SugarColumn(ColumnName = "rout_model")]
        public int routModel { get;set;}

    }
}
